org.eclipse.oomph.util

## Class ObjectUtil

- java.lang.Object
- - org.eclipse.oomph.util.ObjectUtil

-     public final class ObjectUtil
      extends Object

  Various static helper methods.
  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <TYPE> TYPE` | `adapt(Object object, Class<TYPE> type)`
    `static boolean` | `equals(Object o1, Object o2)`
    `static int` | `hashCode(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public static boolean equals(Object o1,
                       Object o2)

    - #### hashCode

          public static int hashCode(Object o)

    - #### adapt

          public static <TYPE> TYPE adapt(Object object,
                          Class<TYPE> type)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html